# Spec file for perl module Gtk2::GladeXML

%define real_name Gtk2-GladeXML
%define	real_version 1.006

Name: perl-%real_name
Version: %real_version
Release: alt1

Summary: create user interfaces directly from Glade XML files

License: LGPL
Group: Development/Perl
URL: http://search.cpan.org/~tsch/Gtk2-GladeXML/
#URL: http://gtk2-perl.sourceforge.net/

Packager: Nikolay A. Fetisov <naf@altlinux.ru>

Source: %real_name-%real_version.tar.bz2

# Automatically added by buildreq on Mon Mar 26 2007
BuildRequires: fonts-type1-urw libglade-devel perl-Cairo-devel perl-ExtUtils-Depends 
BuildRequires: perl-ExtUtils-PkgConfig perl-Gtk2-devel xvfb-run

%description
Glade is a free user interface builder for GTK+ and GNOME.  After designing
a user interface with glade-2 the layout and configuration are saved in an
XML file.  libglade is a library which knows how to build and hook up the
user interface described in the Glade XML file at application run time.

%prep
%setup -q -n %real_name-%real_version

%__mv -f LICENSE LICENSE.LGPL
%__ln_s $(relative %_licensedir/LGPL-2 %_docdir/%name/LICENSE) LICENSE

%build
EXTRA_LIBS="%perl_vendor_autolib/Glib/Glib.so %perl_vendor_autolib/Gtk2/Gtk2.so"
EXTRA_BLIBS="$EXTRA_LIBS"
%perl_vendor_build
xvfb-run -a %__make test

%install
%perl_vendor_install

%files
%doc README ChangeLog AUTHORS NEWS
%doc --no-dereference LICENSE
%doc examples*

%exclude /.perl.req
%exclude %_man3dir/*

%dir	%perl_vendor_archlib/Gtk2
	%perl_vendor_archlib/Gtk2/GladeXML.pm
%dir	%perl_vendor_autolib/Gtk2
%dir	%perl_vendor_autolib/Gtk2/GladeXML
	%perl_vendor_autolib/Gtk2/GladeXML/GladeXML.so
# XXX devel subpackage?
%dir	%perl_vendor_archlib/Gtk2/GladeXML/Install
	%perl_vendor_archlib/Gtk2/GladeXML/Install/Files.pm
	%perl_vendor_archlib/Gtk2/GladeXML/Install/gladexmlperl.h
	%perl_vendor_archlib/Gtk2/GladeXML/Install/gladexmlperl.typemap

%changelog
* Mon Mar 26 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.006-alt1
- Revives from orphaned
- New version 1.006
  - small bugfixes
  - adding new examples

* Sat Jun 18 2005 Alexey Tourbin <at@altlinux.ru> 1.005-alt1
- 1.004 -> 1.005

* Thu Feb 03 2005 Alexey Tourbin <at@altlinux.ru> 1.004-alt1
- 1.00 -> 1.004
- manual pages not packaged (use perldoc)
- always run tests (by utilizing xvfb-run)
- updated BuildRequires (with buildreq)

* Mon Aug 09 2004 Alexey Tourbin <at@altlinux.ru> 1.00-alt1
- initial revision
- license: LGPL
